### Hierarchy

- SdaDialogDelegateStateVisitor

### Implements

- JsonObjectVisitor

## Index

### Constructors

- constructor

### Properties

- _enclosedJsonObject

### Methods

- addSelectedWorkPackageId
- copyAsJsonObject
- copyAsJsonString
- enclosedJsonObject
- removeSelectedWorkPackageId
- visitAndClearSelectedWorkPackageIds
- visitAndSetBaseUrl
- visitAndSetLoginHash
- visitAndSetSessionId
- visitAndSetTenantId
- visitAndSetUserId
- visitBaseUrl
- visitBriefcase
- visitLoginHash
- visitMobileCommentsRecordSet
- visitSelectedWorkPackageIds
- visitSessionId
- visitTenantId
- visitUserId
- visitWorkPackagesRecordSet

## Constructors

### constructor

- new SdaDialogDelegateStateVisitor(state: string | object): SdaDialogDelegateStateVisitor

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:11

  #### Parameters

  - ##### state: string | object

  #### Returns SdaDialogDelegateStateVisitor

## Properties

### Private _enclosedJsonObject

_enclosedJsonObject: any

- Defined in ppm/SdaDialogDelegateStateVisitor.ts:11

## Methods

### addSelectedWorkPackageId

- addSelectedWorkPackageId(id: string): void

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:39

  #### Parameters

  - ##### id: string

  #### Returns void

### copyAsJsonObject

- copyAsJsonObject(): object

- Implementation of JsonObjectVisitor.copyAsJsonObject

  - Defined in ppm/SdaDialogDelegateStateVisitor.ts:29

  #### Returns object

### copyAsJsonString

- copyAsJsonString(): string

- Implementation of JsonObjectVisitor.copyAsJsonString

  - Defined in ppm/SdaDialogDelegateStateVisitor.ts:33

  #### Returns string

### enclosedJsonObject

- enclosedJsonObject(): any

- Implementation of JsonObjectVisitor.enclosedJsonObject

  - Defined in ppm/SdaDialogDelegateStateVisitor.ts:25

  #### Returns any

### removeSelectedWorkPackageId

- removeSelectedWorkPackageId(id: string): void

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:46

  #### Parameters

  - ##### id: string

  #### Returns void

### visitAndClearSelectedWorkPackageIds

- visitAndClearSelectedWorkPackageIds(): any[]

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:77

  #### Returns any[]

### visitAndSetBaseUrl

- visitAndSetBaseUrl(baseUrl: string): void

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:57

  #### Parameters

  - ##### baseUrl: string

  #### Returns void

### visitAndSetLoginHash

- visitAndSetLoginHash(loginHash: string): void

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:69

  #### Parameters

  - ##### loginHash: string

  #### Returns void

### visitAndSetSessionId

- visitAndSetSessionId(sessionId: string): void

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:85

  #### Parameters

  - ##### sessionId: string

  #### Returns void

### visitAndSetTenantId

- visitAndSetTenantId(tenantId: string): void

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:93

  #### Parameters

  - ##### tenantId: string

  #### Returns void

### visitAndSetUserId

- visitAndSetUserId(userId: string): void

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:101

  #### Parameters

  - ##### userId: string

  #### Returns void

### visitBaseUrl

- visitBaseUrl(): string

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:53

  #### Returns string

### visitBriefcase

- visitBriefcase(): BriefcaseVisitor

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:61

  #### Returns BriefcaseVisitor

### visitLoginHash

- visitLoginHash(): string

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:65

  #### Returns string

### visitMobileCommentsRecordSet

- visitMobileCommentsRecordSet(): MobileCommentsRecordSetVisitor

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:105

  #### Returns MobileCommentsRecordSetVisitor

### visitSelectedWorkPackageIds

- visitSelectedWorkPackageIds(): string[]

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:73

  #### Returns string[]

### visitSessionId

- visitSessionId(): string

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:81

  #### Returns string

### visitTenantId

- visitTenantId(): string

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:89

  #### Returns string

### visitUserId

- visitUserId(): string

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:97

  #### Returns string

### visitWorkPackagesRecordSet

- visitWorkPackagesRecordSet(): WorkPackagesRecordSetVisitor

- - Defined in ppm/SdaDialogDelegateStateVisitor.ts:109

  #### Returns WorkPackagesRecordSetVisitor

Generated using TypeDoc